Skip to content
SynupAPI
Get an API key
GETapi.synup.com/api/v4/social-post-ideas/extended-brand-config

Extended brand config

Returns the extended generation config for a social profile — brand tone, target customers, contact/address, brand colors and logos, and the services/products/content-rules used to ground social post-idea generation.

Requires an API key. Send it as Authorization: API <your-key> — see Getting started.

Parameters

Query

NameTypeRequiredDescription
socialProfileIdstringrequiredSocial profile ID.

Headers

NameTypeRequiredDescription
Synup-VersionstringrequiredAPI version date (YYYY-MM-DD).

Request

Request
curl -X GET 'https://api.synup.com/api/v4/social-post-ideas/extended-brand-config?socialProfileId=' \
  -H 'Authorization: API YOUR_API_KEY' \
  -H 'Content-Type: application/json'

Responses

StatusDescription
200Successful response
401Unauthorized - Invalid or missing API key
Example response (generated from the schema)
{
  "data": {
    "extendedBrandConfig": {
      "id": "string",
      "socialProfileId": "string",
      "tone": "string",
      "targetCustomers": "string",
      "country": "string",
      "phone": "string",
      "address": "string",
      "location": "string",
      "primaryColor": "string",
      "secondaryColor": "string",
      "logoLight": "string",
      "logoDark": "string",
      "services": {},
      "products": {},
      "contentRules": {},
      "additionalContext": "string",
      "insights": {}
    }
  }
}

Response body

NameTypeRequiredDescription
dataobjectoptional
data.extendedBrandConfigobjectoptional
data.extendedBrandConfig.idstringoptional
data.extendedBrandConfig.socialProfileIdstringoptional
data.extendedBrandConfig.tonestringoptional
data.extendedBrandConfig.targetCustomersstringoptional
data.extendedBrandConfig.countrystringoptional
data.extendedBrandConfig.phonestringoptional
data.extendedBrandConfig.addressstringoptional
data.extendedBrandConfig.locationstringoptional
data.extendedBrandConfig.primaryColorstringoptional
data.extendedBrandConfig.secondaryColorstringoptional
data.extendedBrandConfig.logoLightstringoptional
data.extendedBrandConfig.logoDarkstringoptional
data.extendedBrandConfig.servicesobjectoptionalFree-form JSON.
data.extendedBrandConfig.productsobjectoptionalFree-form JSON.
data.extendedBrandConfig.contentRulesobjectoptionalFree-form JSON.
data.extendedBrandConfig.additionalContextstringoptional
data.extendedBrandConfig.insightsobjectoptionalFree-form JSON.